# Amuse: amuse::AudioGroupProject Class Reference

amuse::AudioGroupProject Class Reference

`#include <AudioGroupProject.hpp>`

Collaboration diagram for amuse::AudioGroupProject:

## Public Member Functions

| AudioGroupProject (const unsigned char *data)
const SongGroupIndex * | getSongGroupIndex (int groupId) const
const SFXGroupIndex * | getSFXGroupIndex (int groupId) const
const std::unordered_map< int, SongGroupIndex > & | songGroups () const
const std::unordered_map< int, SFXGroupIndex > & | sfxGroups () const

## Detailed Description

Collection of SongGroup and SFXGroup indexes

Definition at line 67 of file AudioGroupProject.hpp.

The documentation for this class was generated from the following file:

- include/amuse/AudioGroupProject.hpp